<?
$r="../../";
require_once($r."inc/funciones.php");
$mysqli = connectDB($r);
session_start();

$spe=$_SESSION['perfil'];
$idusuario=$_SESSION['userid'];

$code = $_POST['preforma'];

$pedir = $_POST['pedir'];
$reference = $_POST['ref'];
$cliente = $_POST['cliente'];

if($cliente == 'otro'){
    $empresa = $_POST['empresa'];
    if(empty($empresa)){
        echo "<div class='alert alert-danger alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert'>&times;</a><h6>INGRESA LA INFORMACION DEL CLIENTE</h6></div>";
        exit();
    }
    $nit = $_POST['nit'];
    if(empty($nit)){
        echo "<div class='alert alert-danger alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert'>&times;</a><h6>INGRESA NIT DEL CLIENTE</h6></div>";
        exit();
    }
    $contacto = $_POST['contacto'];
    $celular = $_POST['celular'];

    if(empty($celular)){
        echo "<div class='alert alert-danger alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert'>&times;</a><h6>INGRESA LA INFORMACION DEL CLIENTE</h6></div>";
        exit();
    }
    $ciudad = $_POST['ciudad'];
    $direccion = $_POST['direccion'];
    $regimen = $_POST['regimen'];
    $correo = $_POST['correo'];
    $dir_envio = $_POST['dir_envio'];
    
    if(empty($dir_envio)){
        echo "<div class='alert alert-danger alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert'>&times;</a><h6>INGRESA DIRECCION DE ENVIO</h6></div>";
        exit();
    }
}

$totalbase = $_POST['totalbase'];
$totalica = $_POST['totalica'];
$tiva = $_POST['tiva'];
$totalretefuente = $_POST['totalretefuente'];
$ttotal = $_POST['ttotal'];
$documentos = $_POST['documentos'];
$pago = $_POST['pago'];
$fecha = $_POST['fecha'];
$nota = $_POST['nota'];
$adicional = $_POST['otros'];
$direccion = $_POST['direccion'];

$subtotal = 0;
$aprod = array();

foreach($_POST as $key => $item){

    if(substr($key,0,4) == 'iden'){

        $idkpro = $_POST['cod'.$item];
        $capro  = $_POST['cant'.$item];
        $tpro   = $_POST['tipo'.$item];

        $sinfoproducto = sinfo('z_productos',$idkpro);
        $sinfopresent  = sinfo('z_presentaciones_productos',$tpro);

        $qry1 = $mysqli->query("SELECT * FROM z_inventario WHERE idproducto=$idkpro");
        $row1 = $qry1->fetch_assoc();

        $lastcant = $capro * $sinfopresent['cantidad'];
        $icant    = $row1['cantidad'];

        $aprod[$idkpro]['cantidad']  = $aprod[$idkpro]['cantidad'] + $lastcant;
        $aprod[$idkpro]['icantidad'] = $icant;
        $aprod[$idkpro]['nproducto'] = $sinfoproducto['producto'];
    }
}

if(empty($aprod)){
    echo "<div class='alert alert-danger alert-dismissible text-center bg-warning'><a href='#' class='close' data-dismiss='alert'>&times;</a><h6>FALTA AÑADIR ALGUN PRODUCTO</h6></div>";
    exit();
}

/* INSERT O UPDATE SEGÚN PREFORMA */

if(!empty($code) && $code > 0){

    $last_id = $code;

    if($cliente == 'otro'){

        $mysqli->query("UPDATE z_cotizacion SET
        idcliente=NULL,
        empresa='$empresa',
        contacto='$contacto',
        telefono='$celular',
        ciudad='$ciudad',
        direccion='$direccion',
        correo='$correo',
        idpago='$pago',
        subtotal='$totalbase',
        tiva='$tiva',
        ica='$totalica',
        retefuente='$totalretefuente',
        total='$ttotal',
        adicional='$adicional',
        documentos='$documentos',
        fecha_entrega='$fecha',
        comentarios='$nota',
        idusuario='$idusuario'
        WHERE id=$code");

    }else{

        $infoclient = sinfo('z_clientes',$cliente);

        $empresa  = $infoclient['nombre'];
        $contacto = $infoclient['contacto1'];
        $celular  = $infoclient['celular1'];
        $ciudad   = $infoclient['municipio'];
        $correo   = $infoclient['correo'];

        $mysqli->query("UPDATE z_cotizacion SET
        idcliente='$cliente',
        empresa='$empresa',
        contacto='$contacto',
        telefono='$celular',
        ciudad='$ciudad',
        direccion='$direccion',
        correo='$correo',
        idpago='$pago',
        subtotal='$totalbase',
        tiva='$tiva',
        ica='$totalica',
        retefuente='$totalretefuente',
        total='$ttotal',
        adicional='$adicional',
        documentos='$documentos',
        fecha_entrega='$fecha',
        comentarios='$nota',
        idusuario='$idusuario'
        WHERE id=$code");
    }

    $mysqli->query("DELETE FROM z_cotizacion_pedido WHERE idcotizacion=$code");

}else{

    if($cliente == 'otro'){

        $mysqli->query("INSERT INTO z_cotizacion
        (idcliente,empresa,contacto,telefono,ciudad,direccion,correo,idpago,subtotal,tiva,ica,retefuente,total,adicional,documentos,codigo,fecha_entrega,comentarios,idusuario)
        VALUES
        (NULL,'$empresa','$contacto','$celular','$ciudad','$direccion','$correo','$pago','$totalbase','$tiva','$totalica','$totalretefuente','$ttotal','$adicional','$documentos','0000','$fecha','$nota','$idusuario')");

    }else{

        $infoclient = sinfo('z_clientes',$cliente);

        $empresa  = $infoclient['nombre'];
        $contacto = $infoclient['contacto1'];
        $celular  = $infoclient['celular1'];
        $ciudad   = $infoclient['municipio'];
        $correo   = $infoclient['correo'];

        $mysqli->query("INSERT INTO z_cotizacion
        (idcliente,empresa,contacto,telefono,ciudad,direccion,correo,idpago,subtotal,tiva,ica,retefuente,total,adicional,documentos,codigo,fecha_entrega,comentarios,idusuario)
        VALUES
        ('$cliente','$empresa','$contacto','$celular','$ciudad','$direccion','$correo','$pago','$totalbase','$tiva','$totalica','$totalretefuente','$ttotal','$adicional','$documentos','0000','$fecha','$nota','$idusuario')");
    }

    $last_id = $mysqli->insert_id;
}

/* PRODUCTOS */

foreach($_POST as $key => $item){

    if(substr($key,0,4) == 'iden'){

        $idpro  = $item;
        $idkpro = $_POST['cod'.$idpro];
        $capro  = $_POST['cant'.$idpro];
        $prpro  = $_POST['prec'.$idpro];
        $tpro   = $_POST['tipo'.$idpro];
        $iva    = $_POST['iva'.$idpro];

        $subtotal = $subtotal + ($capro*$prpro);

        if($idpro>2147483647){

            $namep = substr($item,10,-strlen($tpro));
            $idkpro = 2147483647;

            $mysqli->query("INSERT INTO z_cotizacion_pedido
            (idcotizacion,idproducto,idpresentacion,cantidad,precio,iva,producto)
            VALUES
            ('$last_id','$idkpro','$tpro','$capro','$prpro','$iva','$namep')");

        }else{

            $mysqli->query("INSERT INTO z_cotizacion_pedido
            (idcotizacion,idproducto,idpresentacion,cantidad,precio,iva)
            VALUES
            ('$last_id','$idkpro','$tpro','$capro','$prpro','$iva')");
        }
    }
}

$mysqli->query("UPDATE z_cotizacion SET estado='1' WHERE id=$last_id");
$mysqli->query("UPDATE pagina_compras_mails SET estado='finalizado' WHERE reference='$reference'");

echo "cotizaciones.php?msg=LA COTIZACION N° $last_id SE HA REALIZADO CON EXITO";
?>